// CD2mDlg.h : header file
//

#if !defined(AFX_CD2MDLG_H__29E19AD8_C259_440A_8471_748A2179DE97__INCLUDED_)
#define AFX_CD2MDLG_H__29E19AD8_C259_440A_8471_748A2179DE97__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CCD2MDlg dialog

class CMyDownloader : public CDownloader {
public:
	virtual void OnLooking( DWORD n );
	virtual void OnDownloadProgress( DWORD n );
	virtual void OnDownloadDone();
	virtual void OnDownload();
	virtual void OnHEXFileLoaded();
	virtual void OnError( DWORD dwE );
	virtual void OnContact();
	virtual void OnDownloadStart();
	CDialog* m_pDlg;
};

class CCD2MDlg : public CDialog
{
// Construction
public:
	//BOOL m_bAutoStart;
	CString m_sMicroFile;
	int m_iBaudrate;
	BOOL m_bOnError;
	int GetTries();
	CCD2MDlg(CWnd* pParent = NULL);	// standard constructor
	~CCD2MDlg();

// Dialog Data
	//{{AFX_DATA(CCD2MDlg)
	enum { IDD = IDD_CD2M_DIALOG };
	CProgressCtrl	m_cDLProgress;
	BOOL	m_bAutoclose;
	BOOL	m_bAutostart;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCD2MDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual void OnOK();
	virtual void OnCancel();
	//}}AFX_VIRTUAL

// Implementation
protected:
	CBitmap bmpBkgnd;
	void UpdateHEXInfo();
	void GetPreviousSettings();
	void SaveCurrentSettings();
	CString m_sCommport;
	int m_iTries;
	DWORD m_dwWDTTimeout;
	CMyDownloader m_d;
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CCD2MDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnStart();
	afx_msg void OnStop();
	afx_msg void OnBrowse();
	afx_msg void OnCodeview();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CD2MDLG_H__29E19AD8_C259_440A_8471_748A2179DE97__INCLUDED_)
