@echo off

REM 04MHz **************************************************** 04MHz
SET MHZ=04
SET PIC=16F873
SET HEX=PB873-%MHZ%.HEX
SET FOSC=4000000UL
SET BAUDRATE=19200
SET INTENTRY=00F04h
SET ROMHIGH=00FFFh
if exist %HEX% del %HEX%
echo Compiling... %PIC% @%MHZ%MHz to %HEX%
picc -%PIC% -O -Zg9 -DFOSC=%FOSC% -DBAUDRATE=%BAUDRATE% -O%HEX% -L-ppowerup=0,intentry=%INTENTRY%,intcode,intret,init,end_init,clrtext,stringtable,strings -L-ACODE=%INTENTRY%-%ROMHIGH% -L-ACONST=%INTENTRY%-%ROMHIGH% picboot.c

SET PIC=16F873A
SET HEX=PB873A%MHZ%.HEX
if exist %HEX% del %HEX%
echo Compiling... %PIC% @%MHZ%MHz to %HEX%
picc -%PIC% -O -Zg9 -DFOSC=%FOSC% -DBAUDRATE=%BAUDRATE% -O%HEX% -L-ppowerup=0,intentry=%INTENTRY%,intcode,intret,init,end_init,clrtext,stringtable,strings -L-ACODE=%INTENTRY%-%ROMHIGH% -L-ACONST=%INTENTRY%-%ROMHIGH% picbootA.c

SET PIC=16F870
SET HEX=PB870-%MHZ%.HEX
SET INTENTRY=00704h
SET ROMHIGH=007FFh
if exist %HEX% del %HEX%
echo Compiling... %PIC% @%MHZ%MHz to %HEX%
picc -%PIC% -O -Zg9 -DFOSC=%FOSC% -DBAUDRATE=%BAUDRATE% -O%HEX% -L-ppowerup=0,intentry=%INTENTRY%,intcode,intret,init,end_init,clrtext,stringtable,strings -L-ACODE=%INTENTRY%-%ROMHIGH% -L-ACONST=%INTENTRY%-%ROMHIGH% picboot.c

SET PIC=16F876
SET HEX=PB876-%MHZ%.HEX
SET INTENTRY=01F04h
SET ROMHIGH=01FFFh
if exist %HEX% del %HEX%
echo Compiling... %PIC% @%MHZ%MHz to %HEX%
picc -%PIC% -O -Zg9 -DFOSC=%FOSC% -DBAUDRATE=%BAUDRATE% -O%HEX% -L-ppowerup=0,intentry=%INTENTRY%,intcode,intret,init,end_init,clrtext,stringtable,strings -L-ACODE=%INTENTRY%-%ROMHIGH% -L-ACONST=%INTENTRY%-%ROMHIGH% picboot.c

SET PIC=16F876A
SET HEX=PB876A%MHZ%.HEX
SET INTENTRY=01F04h
SET ROMHIGH=01FFFh
if exist %HEX% del %HEX%
echo Compiling... %PIC% @%MHZ%MHz to %HEX%
picc -%PIC% -O -Zg9 -DFOSC=%FOSC% -DBAUDRATE=%BAUDRATE% -O%HEX% -L-ppowerup=0,intentry=%INTENTRY%,intcode,intret,init,end_init,clrtext,stringtable,strings -L-ACODE=%INTENTRY%-%ROMHIGH% -L-ACONST=%INTENTRY%-%ROMHIGH% picbootA.c

REM 10MHz **************************************************** 10MHz
SET MHZ=10
SET PIC=16F873
SET HEX=PB873-%MHZ%.HEX
SET FOSC=%MHZ%000000UL
SET BAUDRATE=57600
SET INTENTRY=00F04h
SET ROMHIGH=00FFFh
if exist %HEX% del %HEX%
echo Compiling... %PIC% @%MHZ%MHz to %HEX%
picc -%PIC% -O -Zg9 -DFOSC=%FOSC% -DBAUDRATE=%BAUDRATE% -O%HEX% -L-ppowerup=0,intentry=%INTENTRY%,intcode,intret,init,end_init,clrtext,stringtable,strings -L-ACODE=%INTENTRY%-%ROMHIGH% -L-ACONST=%INTENTRY%-%ROMHIGH% picboot.c

SET PIC=16F873A
SET HEX=PB873A%MHZ%.HEX
if exist %HEX% del %HEX%
echo Compiling... %PIC% @%MHZ%MHz to %HEX%
picc -%PIC% -O -Zg9 -DFOSC=%FOSC% -DBAUDRATE=%BAUDRATE% -O%HEX% -L-ppowerup=0,intentry=%INTENTRY%,intcode,intret,init,end_init,clrtext,stringtable,strings -L-ACODE=%INTENTRY%-%ROMHIGH% -L-ACONST=%INTENTRY%-%ROMHIGH% picbootA.c

SET PIC=16F870
SET HEX=PB870-%MHZ%.HEX
SET INTENTRY=00704h
SET ROMHIGH=007FFh
if exist %HEX% del %HEX%
echo Compiling... %PIC% @%MHZ%MHz to %HEX%
picc -%PIC% -O -Zg9 -DFOSC=%FOSC% -DBAUDRATE=%BAUDRATE% -O%HEX% -L-ppowerup=0,intentry=%INTENTRY%,intcode,intret,init,end_init,clrtext,stringtable,strings -L-ACODE=%INTENTRY%-%ROMHIGH% -L-ACONST=%INTENTRY%-%ROMHIGH% picboot.c

SET PIC=16F876
SET HEX=PB876-%MHZ%.HEX
SET INTENTRY=01F04h
SET ROMHIGH=01FFFh
if exist %HEX% del %HEX%
echo Compiling... %PIC% @%MHZ%MHz to %HEX%
picc -%PIC% -O -Zg9 -DFOSC=%FOSC% -DBAUDRATE=%BAUDRATE% -O%HEX% -L-ppowerup=0,intentry=%INTENTRY%,intcode,intret,init,end_init,clrtext,stringtable,strings -L-ACODE=%INTENTRY%-%ROMHIGH% -L-ACONST=%INTENTRY%-%ROMHIGH% picboot.c

REM 20MHz **************************************************** 20MHz
SET MHZ=20
SET PIC=16F873
SET HEX=PB873-%MHZ%.HEX
SET FOSC=%MHZ%000000UL
SET BAUDRATE=115200
SET INTENTRY=00F04h
SET ROMHIGH=00FFFh
if exist %HEX% del %HEX%
echo Compiling... %PIC% @%MHZ%MHz to %HEX%
picc -%PIC% -O -Zg9 -DFOSC=%FOSC% -DBAUDRATE=%BAUDRATE% -O%HEX% -L-ppowerup=0,intentry=%INTENTRY%,intcode,intret,init,end_init,clrtext,stringtable,strings -L-ACODE=%INTENTRY%-%ROMHIGH% -L-ACONST=%INTENTRY%-%ROMHIGH% picboot.c

SET PIC=16F876
SET HEX=PB876-%MHZ%.HEX
SET INTENTRY=01F04h
SET ROMHIGH=01FFFh
if exist %HEX% del %HEX%
echo Compiling... %PIC% @%MHZ%MHz to %HEX%
picc -%PIC% -O -Zg9 -DFOSC=%FOSC% -DBAUDRATE=%BAUDRATE% -O%HEX% -L-ppowerup=0,intentry=%INTENTRY%,intcode,intret,init,end_init,clrtext,stringtable,strings -L-ACODE=%INTENTRY%-%ROMHIGH% -L-ACONST=%INTENTRY%-%ROMHIGH% picboot.c

SET PIC=16F876A
SET HEX=PB876A%MHZ%.HEX
SET INTENTRY=01F04h
SET ROMHIGH=01FFFh
if exist %HEX% del %HEX%
echo Compiling... %PIC% @%MHZ%MHz to %HEX%
picc -%PIC% -O -Zg9 -DFOSC=%FOSC% -DBAUDRATE=%BAUDRATE% -O%HEX% -L-ppowerup=0,intentry=%INTENTRY%,intcode,intret,init,end_init,clrtext,stringtable,strings -L-ACODE=%INTENTRY%-%ROMHIGH% -L-ACONST=%INTENTRY%-%ROMHIGH% picbootA.c

SET PIC=16F877A
SET HEX=PB877A%MHZ%.HEX
SET INTENTRY=01F04h
SET ROMHIGH=01FFFh
if exist %HEX% del %HEX%
echo Compiling... %PIC% @%MHZ%MHz to %HEX%
picc -%PIC% -O -Zg9 -DFOSC=%FOSC% -DBAUDRATE=%BAUDRATE% -O%HEX% -L-ppowerup=0,intentry=%INTENTRY%,intcode,intret,init,end_init,clrtext,stringtable,strings -L-ACODE=%INTENTRY%-%ROMHIGH% -L-ACONST=%INTENTRY%-%ROMHIGH% picbootA.c

if exist *.sym del *.sym
if exist *.lst del *.lst
if exist *.cod del *.cod
if exist *.map del *.map
if exist *.sdb del *.sdb
if exist *.cof del *.cof
