#ifndef _TYPEDEFS_H
#define _TYPEDEFS_H

#ifndef WIN32
typedef	unsigned char	UBYTE;
typedef signed char		SBYTE;
typedef	unsigned int	UINT16;
typedef signed int		SINT16;
typedef unsigned long	ULONG32;
typedef signed long		SLONG32;
typedef float			REAL24;
typedef double			REAL32;
#endif

#ifndef FOSC
//#define FOSC						20000000UL
#endif
#define IO_OUTPUT					0
#define IO_INPUT					1

//port A
#define PORT_A_IO					TRISA
#define PORT_A_IO_SET(x)			PORT_A_IO = x
#define PORT_A						PORTA
#define PORT_A_SET(x)				PORT_A = x
#define PORT_A_0					RA0
#define PORT_A_1					RA1
#define PORT_A_2					RA2
#define PORT_A_3					RA3
#define PORT_A_4					RA4
#define PORT_A_5					RA5
#define PORT_A_6					RA6
#define PORT_A_7					RA7
#define PORT_A_0_SET(x)				PORT_A_0 = x
#define PORT_A_1_SET(x)				PORT_A_1 = x
#define PORT_A_2_SET(x)				PORT_A_2 = x
#define PORT_A_3_SET(x)				PORT_A_3 = x
#define PORT_A_4_SET(x)				PORT_A_4 = x
#define PORT_A_5_SET(x)				PORT_A_5 = x
#define PORT_A_6_SET(x)				PORT_A_6 = x
#define PORT_A_7_SET(x)				PORT_A_7 = x
#define PORT_A_IO_0					TRISA0
#define PORT_A_IO_1					TRISA1
#define PORT_A_IO_2					TRISA2
#define PORT_A_IO_3					TRISA3
#define PORT_A_IO_4					TRISA4
#define PORT_A_IO_5					TRISA5
#define PORT_A_IO_6					TRISA6
#define PORT_A_IO_7					TRISA7
#define PORT_A_IO_0_SET(x)			PORT_A_IO_0 = x
#define PORT_A_IO_1_SET(x)			PORT_A_IO_1 = x
#define PORT_A_IO_2_SET(x)			PORT_A_IO_2 = x
#define PORT_A_IO_3_SET(x)			PORT_A_IO_3 = x
#define PORT_A_IO_4_SET(x)			PORT_A_IO_4 = x
#define PORT_A_IO_5_SET(x)			PORT_A_IO_5 = x
#define PORT_A_IO_6_SET(x)			PORT_A_IO_6 = x
#define PORT_A_IO_7_SET(x)			PORT_A_IO_7 = x

//port B
#define PORT_B_IO					TRISB
#define PORT_B_IO_SET(x)			PORT_B_IO = x
#define PORT_B						PORTB
#define PORT_B_SET(x)				PORT_B = x
#define PORT_B_0					RB0
#define PORT_B_1					RB1
#define PORT_B_2					RB2
#define PORT_B_3					RB3
#define PORT_B_4					RB4
#define PORT_B_5					RB5
#define PORT_B_6					RB6
#define PORT_B_7					RB7
#define PORT_B_0_SET(x)				PORT_B_0 = x
#define PORT_B_1_SET(x)				PORT_B_1 = x
#define PORT_B_2_SET(x)				PORT_B_2 = x
#define PORT_B_3_SET(x)				PORT_B_3 = x
#define PORT_B_4_SET(x)				PORT_B_4 = x
#define PORT_B_5_SET(x)				PORT_B_5 = x
#define PORT_B_6_SET(x)				PORT_B_6 = x
#define PORT_B_7_SET(x)				PORT_B_7 = x
#define PORT_B_IO_0					TRISB0
#define PORT_B_IO_1					TRISB1
#define PORT_B_IO_2					TRISB2
#define PORT_B_IO_3					TRISB3
#define PORT_B_IO_4					TRISB4
#define PORT_B_IO_5					TRISB5
#define PORT_B_IO_6					TRISB6
#define PORT_B_IO_7					TRISB7
#define PORT_B_IO_0_SET(x)			PORT_B_IO_0 = x
#define PORT_B_IO_1_SET(x)			PORT_B_IO_1 = x
#define PORT_B_IO_2_SET(x)			PORT_B_IO_2 = x
#define PORT_B_IO_3_SET(x)			PORT_B_IO_3 = x
#define PORT_B_IO_4_SET(x)			PORT_B_IO_4 = x
#define PORT_B_IO_5_SET(x)			PORT_B_IO_5 = x
#define PORT_B_IO_6_SET(x)			PORT_B_IO_6 = x
#define PORT_B_IO_7_SET(x)			PORT_B_IO_7 = x

//port C
#define PORT_C_IO					TRISC
#define PORT_C_IO_SET(x)			PORT_C_IO = x
#define PORT_C						PORTC
#define PORT_C_SET(x)				PORT_C = x
#define PORT_C_0					RC0
#define PORT_C_1					RC1
#define PORT_C_2					RC2
#define PORT_C_3					RC3
#define PORT_C_4					RC4
#define PORT_C_5					RC5
#define PORT_C_6					RC6
#define PORT_C_7					RC7
#define PORT_C_0_SET(x)				PORT_C_0 = x
#define PORT_C_1_SET(x)				PORT_C_1 = x
#define PORT_C_2_SET(x)				PORT_C_2 = x
#define PORT_C_3_SET(x)				PORT_C_3 = x
#define PORT_C_4_SET(x)				PORT_C_4 = x
#define PORT_C_5_SET(x)				PORT_C_5 = x
#define PORT_C_6_SET(x)				PORT_C_6 = x
#define PORT_C_7_SET(x)				PORT_C_7 = x
#define PORT_C_IO_0					TRISC0
#define PORT_C_IO_1					TRISC1
#define PORT_C_IO_2					TRISC2
#define PORT_C_IO_3					TRISC3
#define PORT_C_IO_4					TRISC4
#define PORT_C_IO_5					TRISC5
#define PORT_C_IO_6					TRISC6
#define PORT_C_IO_7					TRISC7
#define PORT_C_IO_0_SET(x)			PORT_C_IO_0 = x
#define PORT_C_IO_1_SET(x)			PORT_C_IO_1 = x
#define PORT_C_IO_2_SET(x)			PORT_C_IO_2 = x
#define PORT_C_IO_3_SET(x)			PORT_C_IO_3 = x
#define PORT_C_IO_4_SET(x)			PORT_C_IO_4 = x
#define PORT_C_IO_5_SET(x)			PORT_C_IO_5 = x
#define PORT_C_IO_6_SET(x)			PORT_C_IO_6 = x
#define PORT_C_IO_7_SET(x)			PORT_C_IO_7 = x

//port D
#define PORT_D_IO					TRISD
#define PORT_D_IO_SET(x)			PORT_D_IO = x
#define PORT_D						PORTD
#define PORT_D_SET(x)				PORT_D = x
#define PORT_D_0					RD0
#define PORT_D_1					RD1
#define PORT_D_2					RD2
#define PORT_D_3					RD3
#define PORT_D_4					RD4
#define PORT_D_5					RD5
#define PORT_D_6					RD6
#define PORT_D_7					RD7
#define PORT_D_0_SET(x)				PORT_D_0 = x
#define PORT_D_1_SET(x)				PORT_D_1 = x
#define PORT_D_2_SET(x)				PORT_D_2 = x
#define PORT_D_3_SET(x)				PORT_D_3 = x
#define PORT_D_4_SET(x)				PORT_D_4 = x
#define PORT_D_5_SET(x)				PORT_D_5 = x
#define PORT_D_6_SET(x)				PORT_D_6 = x
#define PORT_D_7_SET(x)				PORT_D_7 = x
#define PORT_D_IO_0					TRISD0
#define PORT_D_IO_1					TRISD1
#define PORT_D_IO_2					TRISD2
#define PORT_D_IO_3					TRISD3
#define PORT_D_IO_4					TRISD4
#define PORT_D_IO_5					TRISD5
#define PORT_D_IO_6					TRISD6
#define PORT_D_IO_7					TRISD7
#define PORT_D_IO_0_SET(x)			PORT_D_IO_0 = x
#define PORT_D_IO_1_SET(x)			PORT_D_IO_1 = x
#define PORT_D_IO_2_SET(x)			PORT_D_IO_2 = x
#define PORT_D_IO_3_SET(x)			PORT_D_IO_3 = x
#define PORT_D_IO_4_SET(x)			PORT_D_IO_4 = x
#define PORT_D_IO_5_SET(x)			PORT_D_IO_5 = x
#define PORT_D_IO_6_SET(x)			PORT_D_IO_6 = x
#define PORT_D_IO_7_SET(x)			PORT_D_IO_7 = x

//port E
#define PORT_E_IO					TRISE
#define PORT_E_IO_SET(x)			PORT_E_IO = x
#define PORT_E						PORTE
#define PORT_E_SET(x)				PORT_E = x
#define PORT_E_0					RE0
#define PORT_E_1					RE1
#define PORT_E_2					RE2
#define PORT_E_3					RE3
#define PORT_E_4					RE4
#define PORT_E_5					RE5
#define PORT_E_6					RE6
#define PORT_E_7					RE7
#define PORT_E_0_SET(x)				PORT_E_0 = x
#define PORT_E_1_SET(x)				PORT_E_1 = x
#define PORT_E_2_SET(x)				PORT_E_2 = x
#define PORT_E_3_SET(x)				PORT_E_3 = x
#define PORT_E_4_SET(x)				PORT_E_4 = x
#define PORT_E_5_SET(x)				PORT_E_5 = x
#define PORT_E_6_SET(x)				PORT_E_6 = x
#define PORT_E_7_SET(x)				PORT_E_7 = x
#define PORT_E_IO_0					TRISE0
#define PORT_E_IO_1					TRISE1
#define PORT_E_IO_2					TRISE2
#define PORT_E_IO_3					TRISE3
#define PORT_E_IO_4					TRISE4
#define PORT_E_IO_5					TRISE5
#define PORT_E_IO_6					TRISE6
#define PORT_E_IO_7					TRISE7
#define PORT_E_IO_0_SET(x)			PORT_E_IO_0 = x
#define PORT_E_IO_1_SET(x)			PORT_E_IO_1 = x
#define PORT_E_IO_2_SET(x)			PORT_E_IO_2 = x
#define PORT_E_IO_3_SET(x)			PORT_E_IO_3 = x
#define PORT_E_IO_4_SET(x)			PORT_E_IO_4 = x
#define PORT_E_IO_5_SET(x)			PORT_E_IO_5 = x
#define PORT_E_IO_6_SET(x)			PORT_E_IO_6 = x
#define PORT_E_IO_7_SET(x)			PORT_E_IO_7 = x

//interrupts
#define INTERRUPT_GLOBAL			GIE
#define INTERRUPT_GLOBAL_ON()		INTERRUPT_GLOBAL = 1
#define INTERRUPT_GLOBAL_OFF()		GIE=0;while(GIE){GIE=0;}
#define INTERRUPT_PERIPHERAL		PEIE
#define INTERRUPT_PERIPHERAL_ON()	INTERRUPT_PERIPHERAL = 1
#define INTERRUPT_PERIPHERAL_OFF()	INTERRUPT_PERIPHERAL = 0

//timer1 defines
#define TIMER1					T1CON
#define TIMER1_SETUP(x)			TIMER1 = x
#define TIMER1_OFF()			TIMER1&0xFE
#define TIMER1_ON()				TIMER1|0x01
#define TIMER1_EVENT			TMR1IE
#define TIMER1_EVENT_ENABLE()	TIMER1_EVENT = 1
#define TIMER1_EVENT_DISABLE()	TIMER1_EVENT = 0
#define TIMER1_EVENT_FLAG		TMR1IF
#define TIMER1_EVENT_CLEAR()	TIMER1_EVENT_FLAG = 0
#define TIMER1_LOW(x)			TMR1L = x
#define TIMER1_HIGH(x)			TMR1H = x

//timer2 defines
#define TIMER2					T2CON
#define TIMER2_ON				0x04
#define TIMER2_PRESCALE1		0x00
#define TIMER2_PRESCALE4		0x01
#define TIMER2_PRESCALE16		0x02
#define TIMER2_ON_PRESCALE1		TIMER2_ON|TIMER2_PRESCALE1
#define TIMER2_ON_PRESCALE4		TIMER2_ON|TIMER2_PRESCALE4
#define TIMER2_ON_PRESCALE16	TIMER2_ON|TIMER2_PRESCALE16

//pwm defines
#define PWM						CCP1CON
#define PWM_SET()				PWM = 0x0C
#define PWM_PIN_IO				PORT_C_IO_2
#define PWM_PIN_IO_SET()		PORT_C_IO_2_SET(IO_OUTPUT)
#define PWM_PRESCALER_SET(x)	TIMER2 = x
#define PWM_FREQ_SET(f,tmr2)	PR2 = (UBYTE)((FOSC/4UL)*(1/(f*tmr2))-1UL)

//capture defines
#define CAPTURE					CCP1CON
#define CAPTURE_RISING			0x05
#define CAPTURE_FALLING			0x04
#define CAPTURE_ON_RISING()		CAPTURE = CAPTURE_RISING
#define CAPTURE_ON_FALLING()	CAPTURE = CAPTURE_FALLING
#define CAPTURE_CLEAR()			CCPR1L = 0; CCPR1H = 0
#define CAPTURE_EVENT			CCP1IE
#define CAPTURE_EVENT_ENABLE()	CAPTURE_EVENT = 1
#define CAPTURE_EVENT_DISABLE()	CAPTURE_EVENT = 0
#define CAPTURE_EVENT_FLAG		CCP1IF
#define CAPTURE_EVENT_CLEAR()	CAPTURE_EVENT_FLAG = 0

//rs232 defines
#define RS232_EVENT					RCIE
#define RS232_EVENT_ENABLE()		RS232_EVENT = 1
#define RS232_EVENT_DISABLE()		RS232_EVENT = 0
#define RS232_EVENT_FLAG			RCIF
#define RS232_EVENT_CLEAR()			RS232_EVENT_FLAG = 0
#define RS232_DATA					RCREG
#define RS232_ERROR_OVERFLOW		OERR
#define RS232_CONTINUOUSRX			CREN
#define RS232_CONTINUOUSRX_ON()		RS232_CONTINUOUSRX = 1
#define RS232_CONTINUOUSRX_OFF()	RS232_CONTINUOUSRX = 0
#define RS232_BAUDRATE_SET(x)		SPBRG = (UBYTE)(FOSC/(16.0*BAUDRATE)-0.5)
#define RS232_TRANSMIT_SET(x)		TXSTA = x
#define RS232_RECEIVE_SET(x)		RCSTA = x

//miscellaneous
#define INFINITE_LOOP()	while(1);/*asm("goto $+0")*/
#define NOP()			asm("nop")
#if !defined(CLRWDT)
#define CLRWDT()		asm("clrwdt")
#endif

#define interrupt	interrupt

#endif
